<?php
/**
 * Social Section options
 *
 * @package Theme Palace
 * @subpackage Elead Pro
 * @since Elead Pro 1.0
 */

$wp_customize->add_section( 'elead_pro_social', array(
	'title'             => esc_html__( 'Social','elead-pro' ),
	'description'       => esc_html__( 'Social Section Options', 'elead-pro' ),
	'panel'             => 'elead_pro_sections_panel',
) );

// social Section enable setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[social_enable]', array(
	'sanitize_callback'	=> 'elead_pro_sanitize_checkbox',
	'default'          	=> $options['social_enable'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[social_enable]', array(
	'label'            	=> esc_html__( 'Enable Social Section', 'elead-pro' ),
	'section'          	=> 'elead_pro_social',
	'type'             	=> 'checkbox',
) );

// social Section enable on entire site setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[social_entire_site_enable]', array(
	'sanitize_callback'	=> 'elead_pro_sanitize_checkbox',
	'default'          	=> $options['social_entire_site_enable'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[social_entire_site_enable]', array(
	'label'            	=> esc_html__( 'Enable Section Entire Site', 'elead-pro' ),
	'section'          	=> 'elead_pro_social',
	'type'             	=> 'checkbox',
	'active_callback'	=> 'elead_pro_is_social_enable',
) );

for ( $i = 1; $i <= 5; $i++ ) :
	// social Section title setting and control.
	$wp_customize->add_setting( 'elead_pro_theme_options[social_title_link_' . $i . ']', array(
		'sanitize_callback'	=> 'esc_url_raw',
		'default'          	=> $options['social_title_link_' . $i],
	) );

	$wp_customize->add_control( 'elead_pro_theme_options[social_title_link_' . $i . ']', array(
		'label'            	=> sprintf( esc_html__( 'Social Link %d', 'elead-pro' ), $i ),
		'section'          	=> 'elead_pro_social',
		'type'             	=> 'url',
		'active_callback'	=> 'elead_pro_is_social_enable',
		'input_attrs'	=> array(
			'placeholder'	=> esc_attr__( 'http://facebook.com', 'elead-pro' ),
			),
	) );
endfor;
