<?php
/**
 * Subscribe Section options
 *
 * @package Theme Palace
 * @subpackage Elead Pro
 * @since Elead Pro 1.0
 */

$wp_customize->add_section( 'elead_pro_subscribe', array(
	'title'             => esc_html__( 'Subscribe','elead-pro' ),
	'description'       => sprintf( '<b> %1$s </b> %2$s %3$s Jetpack %4$s', esc_html__( 'INFO', 'elead-pro' ), esc_html__( 'To activate and customize this section please install Jetpack plugin and activate subscription module.', 'elead-pro' ), '<a href="https://wordpress.org/plugins/jetpack/" target="_blank">', '</a>' ),
	'panel'             => 'elead_pro_sections_panel',
) );

// subscribe Section enable setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[subscribe_enable]', array(
	'sanitize_callback'	=> 'elead_pro_sanitize_checkbox',
	'default'          	=> $options['subscribe_enable'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[subscribe_enable]', array(
	'label'            	=> esc_html__( 'Enable Subscribe Section', 'elead-pro' ),
	'section'          	=> 'elead_pro_subscribe',
	'type'             	=> 'checkbox',
) );

// subscribe Section title setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[subscribe_title]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['subscribe_title'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[subscribe_title]', array(
	'label'            	=> esc_html__( 'Title', 'elead-pro' ),
	'section'          	=> 'elead_pro_subscribe',
	'type'             	=> 'text',
	'active_callback'	=> 'elead_pro_is_subscribe_enable',
) );


// subscribe Section subtitle setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[subscribe_sub_title]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['subscribe_sub_title'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[subscribe_sub_title]', array(
	'label'            	=> esc_html__( 'Sub Title', 'elead-pro' ),
	'section'          	=> 'elead_pro_subscribe',
	'type'             	=> 'text',
	'active_callback'	=> 'elead_pro_is_subscribe_enable',
) );

// subscribe Section btn label setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[subscribe_btn_label]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['subscribe_btn_label'],
) );

$wp_customize->add_control( 'elead_pro_theme_options[subscribe_btn_label]', array(
	'label'            	=> esc_html__( 'Button Label', 'elead-pro' ),
	'section'          	=> 'elead_pro_subscribe',
	'type'             	=> 'text',
	'active_callback'	=> 'elead_pro_is_subscribe_enable',
) );

// subscribe Section logo setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[subscribe_logo]', array(
	'default'           => $options['subscribe_logo'],
	'sanitize_callback' => 'elead_pro_sanitize_image'
) );

$wp_customize->add_control(
	new WP_Customize_Image_Control( $wp_customize, 'elead_pro_theme_options[subscribe_logo]',
		array(
		'label'       		=> esc_html__( 'Select Subscribe logo Image', 'elead-pro' ),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'elead-pro' ), 150, 150 ),
		'section'     		=> 'elead_pro_subscribe',
		'active_callback'	=> 'elead_pro_is_subscribe_enable',
) ) );

// subscribe Section background image setting and control.
$wp_customize->add_setting( 'elead_pro_theme_options[subscribe_image]', array(
	'default'           => $options['subscribe_image'],
	'sanitize_callback' => 'elead_pro_sanitize_image'
) );


$wp_customize->add_control(
	new WP_Customize_Image_Control( $wp_customize, 'elead_pro_theme_options[subscribe_image]',
		array(
		'label'       		=> esc_html__( 'Select Background Image', 'elead-pro' ),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'elead-pro' ), 1500, 1000 ),
		'section'     		=> 'elead_pro_subscribe',
		'active_callback'	=> 'elead_pro_is_subscribe_enable',
) ) );