<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Elead Pro
 * @since Elead Pro 1.0
 */
$options = elead_pro_get_theme_options();
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php
    $header_image_meta = elead_pro_header_image_meta_option();
	if ( is_array( $header_image_meta ) ) {
		$header_image_meta = $header_image_meta[1];
	} 
	if ( 'show-both' == $header_image_meta ) { 
		if ( has_post_thumbnail() ) : ?>
			<figure class="featured-image">
				<?php the_post_thumbnail( 'full', array( 'alt' => the_title_attribute( 'echo=0' ) ) ); ?>
			</figure>
		<?php endif; 
	} ?>

	<div class="entry-container">
		<footer class="entry-footer">
			<p class="entry-meta">
				<?php elead_pro_posted_on(); ?>
			</p><!-- .entry-meta -->
		</footer><!-- .entry-footer -->

		<div class="entry-content">
			<div class="post-meta">
				<?php $post_type = get_post_type();
				
				switch ( $post_type ) {
					case 'tp-class': ?>
						<?php if ( class_exists( 'TP_Education' ) ) : 
							$tp_class_age_group = get_post_meta( get_the_ID(), 'tp_class_age_group_value', true );
							$tp_class_size = get_post_meta( get_the_ID(), 'tp_class_size_value', true );
							$tp_class_cost = get_post_meta( get_the_ID(), 'tp_class_cost_value', true );
							?>
							<ul class="tp-education-meta entry-meta">
								<?php if ( ! empty( $tp_class_age_group ) ) { ?>
									<li><?php tp_class_age_group(); ?></li>
								<?php } 
								if ( ! empty( $tp_class_size ) ) { ?>
									<li><?php tp_class_size(); ?></li>
								<?php }
								if ( $tp_class_cost != '' ) :  ?>
									<li>
										<?php 
										tp_class_cost(); 
										tp_class_period();
										?>
									</li>
								<?php endif; ?>
			                </ul><!-- .tp-education-meta -->
						<?php endif; ?>
					<?php break;

					case 'tp-event': ?>
						<?php if ( class_exists( 'TP_Education' ) ) : 
							$tp_event_date = get_post_meta( get_the_ID(), 'tp_event_date_value', true );
							$tp_event_start_time = get_post_meta( get_the_ID(), 'tp_event_time_from_value', true );
							$tp_event_end_time = get_post_meta( get_the_ID(), 'tp_event_time_to_value', true );
							$tp_event_location = get_post_meta( get_the_ID(), 'tp_event_location_value', true );
							?>
							<ul class="tp-education-meta entry-meta">
								<?php if ( ! empty( $tp_event_date ) ) { ?>
									<li><?php tp_event_date(); ?></li>
								<?php } 
								if ( ! empty( $tp_event_start_time ) ) { ?>
									<li><?php tp_event_start_time(); ?></li>
								<?php } 
								if ( ! empty( $tp_event_end_time ) ) { ?>
									<li><?php tp_event_end_time(); ?></li>
								<?php } 
								if ( ! empty( $tp_event_location ) ) { ?>
									<li><?php tp_event_location(); ?></li>
								<?php } ?>
							</ul>
						<?php endif; ?>
					<?php break;

					case 'tp-excursion': ?>
						<?php if ( class_exists( 'TP_Education' ) ) : 
							$tp_excursion_start_date = get_post_meta( get_the_ID(), 'tp_excursion_start_date_value', true );
							$tp_excursion_end_date = get_post_meta( get_the_ID(), 'tp_excursion_end_date_value', true );
							$tp_excursion_location = get_post_meta( get_the_ID(), 'tp_excursion_location_value', true );
							?>
							<ul class="tp-education-meta entry-meta">
								<?php if ( ! empty( $tp_excursion_start_date ) ) { ?>
									<li><?php tp_excursion_start_date(); ?></li>
								<?php }
								if ( ! empty( $tp_excursion_end_date ) ) { ?>
									<li><?php tp_excursion_end_date(); ?></li>
								<?php }
								if ( ! empty( $tp_excursion_location ) ) { ?>
									<li><?php tp_excursion_location(); ?></li>
								<?php } ?>
							</ul>
						<?php endif; ?>
					<?php break;

					case 'tp-affiliation': ?>
						<?php if ( class_exists( 'TP_Education' ) ) : 
							$tp_affiliation_link = get_post_meta( get_the_ID(), 'tp_affiliation_link_value', true );
							if ( ! empty( $tp_excursion_start_date ) ) { ?>
								<p class="tp-education-meta entry-meta">
									<?php
									// team designation
									tp_affiliation_link();
									?>
								</p><!-- .tp-education-meta -->
							<?php }
						endif; ?>
					<?php break;
					
					default:
					break;
				} ?>
			</div><!-- .entry-meta -->
			<?php
			the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'elead-pro' ), array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'elead-pro' ),
				'after'  => '</div>',
			) );
			?>
		</div><!-- .entry-content -->

		<?php elead_pro_entry_footer(); ?>
		
	</div><!-- .entry-container -->
</article><!-- #post-## -->
